<ion-content class="ion-padding">
    <form on:submit|preventDefault={changePassword} on:change={validate}>
        <ion-item>
            <ion-label position="floating">Current Password</ion-label>
            <ion-input type="password" on:ionChange={(e) => currentPassword = e.currentTarget.value }></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position="floating">New Password</ion-label>
            <ion-input type="password" on:ionChange={(e) => newPassword = e.currentTarget.value }></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position="floating">Confirm Password</ion-label>
            <ion-input type="password" on:ionChange={(e) => confirmPassword = e.currentTarget.value }></ion-input>
        </ion-item>
        <br>
        <br>
        <ion-button type="submit" expand="block">Change Password</ion-button>
    </form>
</ion-content>


<script>
import {navigateTo} from 'svelte-grouter'
import {layoutStore} from '/client/LayoutStore'
import * as usersService from '/lib/UsersService'
import {presentToast} from '/client/ToastService'

$layoutStore.title = 'Change Password'

let currentPassword = '', newPassword = '', confirmPassword = ''

function changePassword() {
    usersService.changePassword(currentPassword, newPassword)
    .then(() => {
        navigateTo('myOutings')
        presentToast('Password Changed Successfully')
    })
    .catch(e => {
        presentToast('Error resetting password')
    })
}
function validate() {
    // TODO: validate that newPassword matches confirm, they conform to password policy...
    console.log('Validating')
}
</script>

<style>

ion-select,ion-select-option,.select-text {
    text-transform: capitalize;
}
</style>